#!/bin/sh -e

# clone the repo
git clone https://github.com/sumneko/lua-language-server.git
cd lua-language-server
git submodule update --init --recursive

# build
# You need `ninja`
cd 3rd/luamake
ninja -f ninja/linux.ninja
cd ../..
./3rd/luamake/luamake rebuild

cd ../

# For coc.nvim
mkdir -pv ~/.local/share/nvim/lsp
cp -rf lua-language-server ~/.local/share/nvim/lsp/ && echo "copied 'lua-language-server' -> ~/.local/share/nvim/lsp/lua-language-server"
# For Doom Emacs
mkdir -pv ~/.config/emacs/.local/etc/lsp
mv -fv lua-language-server ~/.config/emacs/.local/etc/lsp/
